<?xml version="1.0" encoding="utf-8"?>
<s:TitleWindow xmlns:fx="http://ns.adobe.com/mxml/2009"
			   xmlns:s="library://ns.adobe.com/flex/spark"
			   xmlns:ui="library://ns.adobe.com/flex/ui"
			   xmlns:mx="library://ns.adobe.com/flex/mx"
			   xmlns:components="br.com.dclick.components.*"
			   xmlns:componente="br.com.desenv.framework.componente.*"
			   xmlns:visual="br.com.desenv.framework.component.visual.*"
			   close="titlewindowCloseHandler(event)"  title="Detalhe de  Vendedor">
	
	<fx:Style source="../../../framework/util/estilo.css"/>

	
	<fx:Metadata>
		[Event(name="VendedorExcluidoEvent")]
	</fx:Metadata>

	<fx:Script>
		<![CDATA[
			import br.net.upcode.framework.amf.AMFConnector;
			import br.net.upcode.framework.popup.UPCPopUpManager;
			import br.com.desenv.framework.util.DsvObjectUtil;
			import mx.core.FlexGlobals;;
			import mx.collections.ArrayCollection;
			import mx.rpc.events.FaultEvent;
			import mx.rpc.events.ResultEvent;
			import mx.rpc.remoting.mxml.RemoteObject;
			import mx.controls.Alert;
			import mx.events.CloseEvent;
			import mx.events.FlexEvent;
			import mx.managers.PopUpManager;
			
			import br.com.desenv.nepalign.vo.Vendedor;
			
			[Bindable]
			public var vendedor : Vendedor = null;
			
			private var vendedorComponenteCadastro: VendedorComponenteCadastro;
			
			// Chama quando fecha a janela no X
			protected function titlewindowCloseHandler(event:CloseEvent):void
			{
				UPCPopUpManager.instance.removePopUp(this);
			}
			

			protected function buttonAlterar_clickHandler(event:MouseEvent):void
			{
				vendedorComponenteCadastro = new VendedorComponenteCadastro();
				vendedorComponenteCadastro.vendedor = this.vendedor;
				vendedorComponenteCadastro.addEventListener("VendedorAtualizadoEvent", atualizarVendedorPorAtualizacaoResultHandler);
				UPCPopUpManager.instance.addPopUp(vendedorComponenteCadastro, this, true);
				UPCPopUpManager.instance.centerWindow(vendedorComponenteCadastro);
			}
			
			private function atualizarVendedorPorAtualizacaoResultHandler(e:Event):void
			{
				this.vendedor = vendedorComponenteCadastro.vendedor;
			}
			
			protected function buttonExcluir_clickHandler(event:MouseEvent):void
			{
				var alert = Alert.show("Ok para excluir", "Confirmacao de Exclusao", Alert.YES | Alert.NO, this, excluirVendedorCloseHandler);
			}
			
			private function excluirVendedorCloseHandler(event:CloseEvent):void
			{
				if(event.detail == Alert.YES)
				{
					var remoteObject: RemoteObject  = AMFConnector.instance.prepararObjetoRemoto("vendedorService", excluirResultHandler, excluirFaultHandler);	
					remoteObject.getOperation("excluir").send(this.vendedor);
				}
			}
			
			private function excluirResultHandler( event: ResultEvent ): void 
			{
				this.dispatchEvent(new Event("VendedorExcluidoEvent"));
				UPCPopUpManager.instance.removePopUp(this);
			}
			
			private function excluirFaultHandler(event:FaultEvent):void
			{
				Alert.show(event.fault.faultString.replace("java.lang.Exception :", ""));
			}
		]]>
	</fx:Script>
	
	<fx:Declarations>
		<!-- Place non-visual elements (e.g., services, value objects) here -->
		<mx:DateFormatter id="dataPadrao" formatString="DD/MM/YYYY"/>
	</fx:Declarations>
	
	<mx:Grid styleName="grid" verticalScrollPolicy="auto" horizontalScrollPolicy="auto" maxHeight="600" maxWidth="1024">
		<mx:GridRow width="100%">
			<mx:GridItem styleName="gridLabelValor" rowSpan="5">
				<s:Image source="{vendedor.foto}"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Código:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridLabelValor">
				<s:Label text="{vendedor.id}"/>
			</mx:GridItem>
		</mx:GridRow>
		<mx:GridRow width="100%">
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Empresa:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridLabelValor">
				<s:Label text="{vendedor.empresaFisica.id} - {vendedor.empresaFisica.razaoSocial}"/>
			</mx:GridItem>
		</mx:GridRow>
		<mx:GridRow width="100%">
			<mx:GridItem styleName="gridLabel">
				<mx:Grid>
					<mx:GridRow>
						<mx:GridItem>
							<s:Label text="Nome:"/>
						</mx:GridItem>
					</mx:GridRow>
				</mx:Grid>
			</mx:GridItem>
			<mx:GridItem styleName="gridLabelValor">
				<mx:Grid>
					<mx:GridRow>
						<mx:GridItem>
							<s:Label text="{vendedor.nome}"/>
						</mx:GridItem>
					</mx:GridRow>
				</mx:Grid>
			</mx:GridItem>
		</mx:GridRow>
		<mx:GridRow>
			<mx:GridItem styleName="gridLabel">
				<mx:Grid>
					<mx:GridRow>
						<mx:GridItem>
							<s:Label text="Cod. Cache:"/>
						</mx:GridItem>
					</mx:GridRow>
				</mx:Grid>
			</mx:GridItem>
			<mx:GridItem styleName="gridLabelValor">
				<mx:Grid>
					<mx:GridRow>
						<mx:GridItem>
							<s:Label text="{vendedor.codigoVendedorCache}"/>
						</mx:GridItem>
					</mx:GridRow>
				</mx:Grid>
			</mx:GridItem>
		</mx:GridRow>
		<mx:GridRow>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Usuário:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridLabelValor">
				<s:Label text="{vendedor.usuario.id} - {vendedor.usuario.nome}"/>
			</mx:GridItem>
		</mx:GridRow>
		<mx:GridRow>
			<mx:GridItem horizontalAlign="center" colSpan="4">
				<s:Button id="buttonAlterar" click="buttonAlterar_clickHandler(event)" label="Alterar"/>
				<s:Button id="buttonExcluir" click="buttonExcluir_clickHandler(event)" label="Excluir"/>
			</mx:GridItem>	
		</mx:GridRow>
	</mx:Grid>
</s:TitleWindow>